Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.cnd
Class CndSequencer.OutputDestination

    java.lang.Object
      org.modeshape.sequencer.cnd.CndSequencer.OutputDestination

All Implemented Interfaces:
  Destination

Enclosing class:
  CndSequencer

    protected class CndSequencer.OutputDestination

extends Object
implements Destination

Constructor Summary
`protected` | `CndSequencer.OutputDestination(SequencerOutput output, StreamSequencerContext context)`

Method Summary
`protected Path` | `checkPath(Path path)`
`void` | `create(NodeConflictBehavior behavior, Path path, Property firstProperty, Property... additionalProperties)` Create a node at the supplied path and with the supplied attributes, using the supplied behavior in case of a node conflict.
`void` | `create(Path path, Iterable<Property> properties)` Create a node at the supplied path and with the supplied attributes.
`void` | `create(Path path, Property firstProperty, Property... additionalProperties)` Create a node at the supplied path and with the supplied attributes.
`ExecutionContext` | `getExecutionContext()` Obtain the execution context of the destination.
`void` | `setProperties(Path path, Iterable<Property> properties)` Sets the given properties on the node at the supplied path.
`void` | `setProperties(Path path, Property... properties)` Sets the given properties on the node at the supplied path.
`void` | `submit()` Signal to this destination that any enqueued create requests should be submitted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CndSequencer.OutputDestination

    protected CndSequencer.OutputDestination(SequencerOutput output,
                                             StreamSequencerContext context)

Method Detail

### getExecutionContext

    public ExecutionContext getExecutionContext()

  Obtain the execution context of the destination.

  Specified by:
    `getExecutionContext` in interface `Destination`
  Returns:
    the destination's execution context
  See Also:
    `Destination.getExecutionContext()`

### checkPath

    protected Path checkPath(Path path)

### create

    public void create(Path path,
                       Iterable<Property> properties)

  Create a node at the supplied path and with the supplied attributes. The path will be absolute.

  Specified by:
    `create` in interface `Destination`
  Parameters:
    `path` - the absolute path of the node
    `properties` - the properties for the node; never null, but may be empty if there are no properties
  See Also:
    `Destination.create(Path, Iterable)`

### create

    public void create(Path path,
                       Property firstProperty,
                       Property... additionalProperties)

  Create a node at the supplied path and with the supplied attributes. The path will be absolute.

  Specified by:
    `create` in interface `Destination`
  Parameters:
    `path` - the absolute path of the node
    `firstProperty` - the first property
    `additionalProperties` - the remaining properties for the node
  See Also:
    `Destination.create(org.modeshape.graph.property.Path, org.modeshape.graph.property.Property, org.modeshape.graph.property.Property[])`

### create

    public void create(NodeConflictBehavior behavior,
                       Path path,
                       Property firstProperty,
                       Property... additionalProperties)

  Create a node at the supplied path and with the supplied attributes, using the supplied behavior in case of a node conflict. The path will be absolute.

  Specified by:
    `create` in interface `Destination`
  Parameters:
    `behavior` - the node conflict behavior
    `path` - the absolute path of the node
    `firstProperty` - the first property
    `additionalProperties` - the remaining properties for the node
  See Also:
    `Destination.create(org.modeshape.graph.NodeConflictBehavior, org.modeshape.graph.property.Path, org.modeshape.graph.property.Property, org.modeshape.graph.property.Property[])`

### setProperties

    public void setProperties(Path path,
                              Property... properties)

  Sets the given properties on the node at the supplied path. The path will be absolute.

  Specified by:
    `setProperties` in interface `Destination`
  Parameters:
    `path` - the absolute path of the node
    `properties` - the remaining properties for the node
  See Also:
    `Destination.setProperties(org.modeshape.graph.property.Path, org.modeshape.graph.property.Property[])`

### setProperties

    public void setProperties(Path path,
                              Iterable<Property> properties)

  Sets the given properties on the node at the supplied path. The path will be absolute.

  Specified by:
    `setProperties` in interface `Destination`
  Parameters:
    `path` - the absolute path of the node
    `properties` - the remaining properties for the node
  See Also:
    `Destination.setProperties(org.modeshape.graph.property.Path, java.lang.Iterable)`

### submit

    public void submit()

  Signal to this destination that any enqueued create requests should be submitted. Usually this happens at the end of the document parsing, but an implementer must allow for it to be called multiple times and anytime during parsing.

  Specified by:
    `submit` in interface `Destination`
  See Also:
    `Destination.submit()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.